#include <iostream>

using namespace std;

int main() {
    int N, L;
    cin >> N >> L;
    int Hi;
    for (int i = 0; i < N; i++) {
        cin >>Hi;
        if(Hi<=L){
            cout << i + 1 << endl;
            return 0;
        }
    }
    cout << -1 << endl;
    return 0;
}